about summary refs log tree commit diff
path: root/corepkgs
diff options
context:
space:
mode:
Diffstat (limited to 'corepkgs')
-rw-r--r--corepkgs/fetchurl/fetchurl.fix1
-rw-r--r--corepkgs/fetchurl/fetchurl.sh8
2 files changed, 4 insertions, 5 deletions
diff --git a/corepkgs/fetchurl/fetchurl.fix b/corepkgs/fetchurl/fetchurl.fix
index f798c0becbc2..0221b612cfe3 100644
--- a/corepkgs/fetchurl/fetchurl.fix
+++ b/corepkgs/fetchurl/fetchurl.fix
@@ -4,6 +4,7 @@ Function(["url", "md5"],
     , ("url", Var("url"))
     , ("md5", Var("md5"))
     , ("name", BaseName(Var("url")))
+    , ("id", Var("md5"))
     ]
   )
 )
diff --git a/corepkgs/fetchurl/fetchurl.sh b/corepkgs/fetchurl/fetchurl.sh
index 1479e898b936..7b6243974d3f 100644
--- a/corepkgs/fetchurl/fetchurl.sh
+++ b/corepkgs/fetchurl/fetchurl.sh
@@ -4,9 +4,7 @@ echo "downloading $url into $out..."
 wget "$url" -O "$out" || exit 1
 
 actual=$(md5sum -b $out | cut -c1-32)
-if ! test "$md5" == "ignore"; then
-    if ! test "$actual" == "$md5"; then
-	echo "hash is $actual, expected $md5"
-	exit 1
-    fi
+if ! test "$actual" == "$md5"; then
+    echo "hash is $actual, expected $md5"
+    exit 1
 fi